$$('input[type="text"]', 'input[type="password"]', 'textarea').each(function(el){
	var class_name = 'keyboardInput';
	if (!el.readOnly && !el.hasClassName(class_name) && !el.hasClassName('novkb'))
		el.addClassName(class_name);
});
